StocksAndFisheriesKB - Feature #23449

The GRSF Management Panel must be made available also in the "GRSF_Pre" VRE
May 31, 2022 04:29 PM - Francesco Mangiacrapa

Status: Feedback Start date: Jun 21, 2022
Priority: Normal Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

The GRSF Management Panel already available in the " GRSF_Admin" VRE must be deployed and made available also in the "
GRSF_Pre" VRE.

Subtasks:

Bug # 23549: GRSF_Manage_Widget: serialization issue on the GRSFRecordAlreadyManagedSta... Closed

Bug # 23561: GRSF_Manage_Widget: the Merging Request throws a null pointer exception Closed
Related issues:

Related to StocksAndFisherieskKB - Task #23486: Remove records from GRSF PRE Closed Jun 09, 2022 Jun 09, 2022
History

#1 - Jun 03, 2022 03:33 PM - Francesco Mangiacrapa
Hi @marketak@ics.forth.gr,

as a first step, kindly provide the service endpoint that will be used to contact the KB on the merging requests that will be performed (by the
Management Panel) from the GRSF_Pre environment.

At the moment, we have the following "Service Endpoint" registered in the GRSF_ADMIN VRE:

<AccessPoint>
<Description>The base url of the GRSF-Updater service</Description>
<Interface>
<Endpoint EntryName="GRSF Update service">http://athena.ics.forth.gr:9000/grsf-services—updater</E
ndpoint>
</Interface>
</AccessPoint>

#2 - Jun 03, 2022 03:40 PM - Yannis Marketakis

- Status changed from New to In Progress

Hi @francesco.mangiacrapa@isti.cnr.it

It's better if we use https://isl.ics.forth.gr/grsf/grsf-services-updater/ which is more permanent

#3 - Jun 03, 2022 04:02 PM - Francesco Mangiacrapa

Yannis Marketakis wrote in #note-2:

Hi @francesco.mangiacrapa@isti.cnr.it

It's better if we use https://isl.ics.forth.gr/grsf/grsf-services-updater/ which is more permanent

OK, should it be used for both (GRSF_Pre and GRSF_Admin)? Or just in GRSF_Pre (available at
https://i-marine.d4science.org/group/grsf_pre/data-catalogue)?

#4 - Jun 03, 2022 04:06 PM - Yannis Marketakis
It could be used for both VREs.

Technically, https://isl.ics.forth.gr/grsf/grst-services-updater/ is a permanent URL and is not subject to changes. So it's preferred to use it everywhere

Francesco Mangiacrapa wrote in #note-3:

OK, should it be used for both (GRSF_Pre and GRSF_Admin)? Or just in GRSF_Pre (available at
https://i-marine.d4science.org/group/grsf_pre/data-catalogue)?

#5 - Jun 03, 2022 05:30 PM - Luca Frosini

Yannis Marketakis wrote in #note-4:
It could be used for both VREs.

Technically, https://isl.ics.forth.gr/grsf/grsf-services-updater/ is a permanent URL and is not subject to changes. So it's preferred to use it
everywhere

Francesco Mangiacrapa wrote in #note-3:

OK, should it be used for both (GRSF_Pre and GRSF_Admin)? Or just in GRSF_Pre (available at
https://i-marine.d4science.org/group/grsf_pre/data-catalogue)?

@marketak@ics.forth.gr can you please confirm again that the endpoint is fine for GRSF_Pre too. Are you able to differentiate the context of the
request by looking at the token?
I'm asking because | understand that GRSF_Pre is another KB with respect to GRSF/GRSF_Admin.

#6 - Jun 06, 2022 08:51 AM - Yannis Marketakis
@luca.frosini@isti.cnr.it thanks for insisting on this.
You are probably right. Let's use another service for GRSF PRE. Below I'm listing the URLSs of the services and the VREs they refer to

e https://isl.ics.forth.gr/grsf/grsf-services-updater/ (for GRSF Admin , GRSF Public )
e https://dev.isl.ics.forth.gr/grsf/grst-services-updater/ for GRSF PRE )

#7 - Jun 08, 2022 04:07 PM - Francesco Mangiacrapa
- File Error_on_displaying_Manage_Panel_in_GRSF_Pre.png added
- % Done changed from 0 to 100

Hi all,

| configured the GRSF_Pre VRE in order to provide the "Manage GRSF Item" facility, see at
https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue.

Unfortunately, by testing it, | noticed an issue (see the screenshot)... and in order to fix it, @marketak@ics.forth.gr a new publishing of the records in
the GRSF_Pre VRE is kindly required.

If you remember, the latest republishing of the GRSF records, started from the GRSF_Admin VRE. In this context, a revisited grsf-service has been
deployed with a new mapping on the GRSF fields. This work has been done by @luca.frosini@isti.cnr.it and @aureliano.gentile@fao.org, they can
confirm...

E.g. the field "Stock Name" has been renamed to "GRSF Stock Name", and so on..., so in the GRSF_Admin we have records with the field "GRSF
Stock Name" (e.g. "GRSF Stock Name" = "Metapenaeus monoceros - EEZ IDN", see
https://data.d4science.org/ctlg/GRSF_Admin/b67597e5-c9b2-385e-a80b-13d3826f8e81)

The records published in the GRSF_Pre are still in the "old format" with the "old fields names", so this causes a mismatching between "the expected
fields names" and "the registered fields names" in the GRSF_Pre VRE.
(The expected fields names are stored into two Generic Resources ("GRSF Stock" and "GRSF Fishery") registered in the Information System).

E.g. In the GRSF_Pre VRE, the field name is still "Stock Name"(e.g. "Stock Name" = "Kajikia audax - 77 - 87", see
https://data.d4science.org/ctlg/GRSF_Pre/b9a5ac80-a001-3¢c20-99ec-6ce387365823)

I hope | have clearly explained the problem.

A purge and republishing of the records registered in the GRSF_Pre VRE is the first step required, and then (I hope) we will be able to test the
"Manage GRSF Panel" in the GRSF_Pre.

#8 - Jun 08, 2022 05:51 PM - Aureliano Gentile

For what | am concerned we are using the GRSF PRE for testing the new records "FAO SDG 14.4.1 Questionnaire", therefore all records can be
deleted anytime and we will be loading sdg records via the new input form after your purge.

#9 - Jun 09, 2022 07:59 AM - Yannis Marketakis

Dear @francesco.mangiacrapa@isti.cnr.it your explanation is perfectly clear.
It is not a problem we will re-publish everything in GRSF PRE again. In fact for testing the management panel we will publish legacy records and
GRSF Stocks and publish GRSF Fisheries (that are too many) later on.
@aureliano.gentile@fao.org yes you are right. GRSF PRE is still a staging environment (for GRSF purposes) therefore we can move as suggested.

I'm starting deletions right away. I'll let you as soon as, everything has been removed (#23486).

#10 - Jun 09, 2022 03:20 PM - Francesco Mangiacrapa
- Related to Task #23486: Remove records from GRSF PRE added

#11 - Jun 09, 2022 03:49 PM - Francesco Mangiacrapa

The GRSF_Pre Catalogue is empty, up & running at https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue

The configurations required to show the "GRSF Management Panel" in the GRSF_Pre should be OK.
Now, two actions are required:
1. @luca.frosini@isti.cnr.it please check if the (CKAN) groups registered in the GRSF_Pre Catalogue are updated. If not, please update them.

2. (After the green light by Luca), @marketak@ics.forth.gr you may republish few records in GRSF_Pre, then we could test the Management
Panel.

#12 - Jun 09, 2022 04:01 PM - Aureliano Gentile

In this occasion, @luca.frosini@isti.cnr.it please consider whether to add methods as group see ticket https:/support.d4science.org/issues/23409
(justin case ;-)

#13 - Jun 14, 2022 02:39 PM - Luca Frosini

| have deleted the old groups and created the new ones
#14 - Jun 14, 2022 03:08 PM - Francesco Mangiacrapa
Luca Frosini wrote in #note-13:

| have deleted the old groups and created the new ones

Thanks @luca.frosini@isti.cnr.it.

@marketak@ics.forth.gr kindly (when you want) republish a few records in GRSF_Pre, so we can proceed with testing the "GRSF Management
Panel". Thanks.

#15 - Jun 15, 2022 08:11 AM - Yannis Marketakis

Thanks @francesco.mangiacrapa@isti.cnr.it and @luca.frosini@isti.cnr.it .
I've just started

#16 - Jun 16, 2022 10:44 AM - Yannis Marketakis
@francesco.mangiacrapa@isti.cnr.it

I've published some records.

Can you confirm that you are using https://dev.isl.ics.forth.gr/grsf/grsf-services-updater/ in GRSF PRE?
I've just tried to update the record and no request has arrived in https://dev.isl.ics.forth.gr/grsf/grsf-services-updater/

#17 - Jun 16, 2022 11:19 AM - Francesco Mangiacrapa
- File 404 _Error_On_Accessing_To_GRSF_Service_Updater Of DEV.png added
Hi @marketak@ics.forth.gr,

yes, | can confirm that the request to https://dev.isl.ics.forth.gr/grsf/grsf-services-updater/service/updater/post
has been performed with the JSON object:

{"old_status":"approved", "annotation_message":"", "new_status":"approved", "knowledge_base_id":"03967d11-f2bd-3d
8e—-a9%ef-af211100da93", "similar_grsf_records":[],"grsf_type_old":"Assessment Unit", "short_name_new":"Megrim - B
ay of Biscay South and Portuguese Waters East - updated","catalog_id":"e0da71e6-2d83-45d6-8994-99dd31701444d","
sdg_flag":false, "grsf_type_new":"Assessment Unit","traceability_flag":false,"administrator_name":"Yannis Marke

takis", "short_name_old":"Megrim - Bay of Biscay South and Portuguese Waters East","connections":[]}
but | got an error: "There was a problem while performing this operation at knowledge base side"
See the following logs:

2022-06-16 08:35:11,350 INFO o.g.d.g.s.m.GRSFUpdaterServiceClient [ajp-bio-8009-exec-37,updateKB:146] [PORTAL]
1708842150 [ajp-bio-8009-exec-37] INFO org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdaterS
erviceClient - Update request looks like {"old_status":"approved", "annotation_message":"", "new_status":"approv
ed", "knowledge_base_id":"03967d11-f2bd-3d8e-a9%ef-af211100da93", "similar_grsf_records":[],"grsf_type_old":"Asse
ssment Unit", "short_name_new":"Megrim - Bay of Biscay South and Portuguese Waters East - updated","catalog_id"
:"e0da71e6-2d83-45d6-8994-99dd3170144d", "sdg_flag":false, "grsf_type_new":"Assessment Unit", "traceability_flag"
:false, "administrator_name":"Yannis Marketakis", "short_name_old":"Megrim - Bay of Biscay South and Portuguese
Waters East","connections":[]}
2022-06-16 08:35:11,350 INFO o0.g.d.g.s.m.GRSFUpdaterServiceClient [ajp-bio-8009-exec-37,updateKB:148] [PORTAL]
1708842150 [ajp-bio-8009-exec-37] INFO org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdatersS
erviceClient - Sending request to https://dev.isl.ics.forth.gr/grsf/grsf-services-updater/service/updater/post
2022-06-16 08:35:11,555 ERROR 0.g.d.g.s.m.GRSFUpdaterServiceClient [ajp-bio-8009-exec-37,updateKB:165]org. json
.simple.parser.ParseException: null

at org.json.simple.parser.Yylex.yylex (Unknown Source) ~[Jjson-simple-1.1.Jjar:nal

at org.json.simple.parser.JSONParser.nextToken (Unknown Source) ~[json-simple-1.1.jar:na]

at org.json.simple.parser.JSONParser.parse (Unknown Source) ~[json-simple-1.1.Jjar:na]

at org.json.simple.parser.JSONParser.parse (Unknown Source) ~[json-simple-1.1.jar:na]l

at org.json.simple.parser.JSONParser.parse (Unknown Source) ~[json-simple-1.1.Jjar:na]

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdaterServiceClient.updateKB (GRSFUpdaterS
erviceClient.java:163) ~[grsf-manage-widget-1.6.0.jar:1.6.0]

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.Utils.updateRecord(Utils. java:201) [grsf-manag
e-widget-1.6.0.jar:1.6.0]

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFNotificationService.notifyProductUpdate (GR
SFNotificationService.java:400) [grsf-manage-widget-1.6.0.jar:1.6.0]

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method) ~[na:1.8.0_242]

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl.java:62) ~[na:1.8.0_242]

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43) ~[na:1.8.0_242]

at java.lang.reflect.Method.invoke (Method. java:498) ~[na:1.8.0_242]

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse (RPC. java:561) [gwt-servlet-2.5.1.jar:na]j

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet.java:208) [gwt-ser
vlet-2.5.1.jar:nal

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost (RemoteServiceServlet.java:248) [gwt-ser

vlet-2.5.1.jar:nal
at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost (AbstractRemoteServiceServlet. java:62
) [gwt-servlet-—

at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor.java:624) [na:1.8.0_242]
at org.apache.tomcat.util.threads.TaskThread$SWrappingRunnable.run (TaskThread. java:61) [tomcat-coyote.jar:7
.0.62]

at java.lang.Thread.run(Thread.java:748) [na:1.8.0_242]
[PORTAL] 1708842355 [ajp-bio-8009-exec-37] ERROR org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSF
UpdaterServiceClient - Failed to parse response from knowledge base
org.json.simple.parser.ParseException: null

at org.json.simple.parser.Yylex.yylex (Unknown Source) ~[Jjson-simple-1.1.jar:nal

at org.json.simple.parser.JSONParser.nextToken (Unknown Source) ~[json-simple-1.1.jar:na]

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor.java:1149) [na:1.8.0_242]

at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor.java:624) [na:1.8.0_242]

at org.apache.tomcat.util.threads.TaskThread$SWrappingRunnable.run (TaskThread. java:61l) [tomcat-coyote.jar:7
.0.62]

at java.lang.Thread.run(Thread.java:748) [na:1.8.0_242]
2022-06-16 08:35:11,557 ERROR 0.g.d.g.s.m.Utils [ajp-bio-8009-exec-37,updateRecord:242]java.lang.Exception: Th
ere was a problem while performing this operation at knowledge base side

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFUpdaterServiceClient.updateKB (GRSFUpdatersS
erviceClient.java:169) ~[grsf-manage-widget-1.6.0.jar:1.6.0]

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.Utils.updateRecord(Utils. java:201) ~[grsf-mana
ge-widget-1.6.0.jar:1.6.0]

at org.gcube.datacatalogue.grsf_manage_widget.server.manage.GRSFNotificationService.notifyProductUpdate (GR

Checking by the browser, | noticed that accessing to https:/dev.isl.ics.forth.gr/grsf/grsf-services-updater/, I'm getting a 404 Error (see the screenshot).
Maybe the URL is not accessible on Internet or the service is down. Could you check? Thanks.

#18 - Jun 16, 2022 12:03 PM - Yannis Marketakis
My fault,

| deployed the service in a different location (https:/dev.isl.ics.forth.gr/grst-services-updater/).
I'll change that.

Apologies for the inconvenience.

#19 - Jun 20, 2022 11:51 AM - Yannis Marketakis
- File clipboard-202206201248-IfOhn.png added

- File clipboard-202206201249-ypuio.png added
- % Done changed from 100 to 90

I've tested the management panel and it seems that most of the actions work as expected (update of short name, update of flags, status updates,
connections, annotation messages).

However, when merging two records, an error message is thrown (shown below).
It is remarkable that the record itself is updated (I see that its new status is to_be_merged) and | do not encounter any errors in the GRSF KB.

Sorry, there was a problem while trying to update the status of this recerd: null

Cancel [ Co

Furthermore, If | try to edit the merged record afterwards, | am unable to open the management panel because of the following error message (i.e. try
opening the management panel for the record https:// .d4science.org/ctlg/GRSF_Pr 2 -2b51-36e4-9ba4- fc8f03)

Manage GRSF Record

Error is 500 Internal Server Error The call failed on the server; see server log for details

Cancel

@francesco.mangiacrapa@isti.cnr.it can you please inform me about the error messages that appear @ server side when open the management
panel?

#20 - Jun 21, 2022 10:07 AM - Francesco Mangiacrapa
Hi @marketak@ics.forth.gr,

try opening the management panel for the record https:/data.d4science.org/ctlg/GRSF_Pre/662eb566-2b51-36e4-9ba4-900d06fc8f03, | see the
following error on the server side:

org.gcube.datacatalogue.grsf_manage_widget.shared.ex.GRSFRecordAlreadyManagedStatusException: The record is lo
cked due to a merge request in progress!

Unfortunately, the error did not reach the client (so the management panel did not display it) due to a serialization issue on the
GRSFRecordAlreadyManagedStatusException java object. | will fix it.

Regarding the first issue: "...when merging two records, an error message is thrown...". Could you retry with another record and then notify me?
Pasting here the Record URL. Thanks.

#21 - Jun 22, 2022 12:00 PM - Yannis Marketakis
Thanks @francesco.mangiacrapa@isti.cnr.it

Since you want to inspect the logs, | guess you could try to merge https://data.d4science.org/ctlg/GRSF_Pre/517f9fe8-1c51-3fd0-a14e-df6f2ba76583
with 5b2b0e53-1804-3faf-957d-ff23b8c17844. This way you can see live the logs

The steps to do so are:

e Click on Manage GRSF item on the record https://data.d4science.org/ctlg/GRSF_Pre/517{9fe8-1c51-3fd0-a14e-df6f2ba76583
Click add merge

paste the UUID 5b2b0e53-1804-3faf-957d-ff23b8c17844

click validate

click confirm
#22 - Jun 22, 2022 03:13 PM - Francesco Mangiacrapa

Yannis Marketakis wrote in #note-21:
Thanks @francesco.mangiacrapa@isti.cnr.it

Since you want to inspect the logs, | guess you could try to merge

https://data.d4science.org/ctig/GRSF_Pre/517f9fe8-1c51-3fd0-al14e-df6f2ba76583 with 5b2b0e53-1804-3faf-957d-ff23b8c17844.

Many thanks @marketak@ics.forth.gr. | just replicated the issue reported by you in the comment #note-19. It is a bug (see #23561). | will fix it asap.

#24 - Jul 22, 2022 04:52 PM - Roberto Cirillo

This status is blocking the release closure. I'm going to detach from release ticket.

#26 - Jul 25, 2022 03:20 PM - Francesco Mangiacrapa

- Status changed from In Progress to Feedback

Hi @marketak@ics.forth.gr,

today I'm back to work (I was on holiday) and | noticed that last week you performed some tests on the "GRSF Manage Panel" in the GRSF_Pre

VRE. Does it work as expected?

#27 - Jul 26, 2022 09:10 AM - Yannis Marketakis

Hi @francesco.mangiacrapa@isti.cnr.it
| hope you had a nice and relaxing vacation period.

| tried testing the management panel, however, | encountered a HTTP 500 error (which occurred when the record was about to be updated in the

catalogue). | opened a detailed ticket about this (#23679)
